local account_character_list = {
	["DeinErsterServer"] = {
		["EinerDeinerAccounts"] = {
			"EinerDeinerChars",
			"Optional_auch_ein_Zweiter",
			"OderDritter",
		},
		["EinAndererAccount"] = {
			"DeinCharAufDemAccount",
			"OptionalNochEiner",
		},
		["DeinDritterAccountAufDemServer"] = {
			"TwinkEins",
		},
	},
	["DeinZweiterServer"] = {
		["AccountAufZweitemServer"] = {
			"PremiumTwink",
			"Nappeldeko",
		},
	},
}

local character_iterator = function()
	local index = 1
	
	return function()
		local obj = _G["CharacterSelectCharacterButton"..index.."ButtonTextName"]
		if obj then
			local text = obj:GetText()
			
			if text and text ~= "" then
				index = index + 1
				return text
			end
		else
			return nil
		end
	end
end

GetAccountName = function()
	local char = UnitName("player")
	
	if not char then
		return "TNTLogin"
	end 
	
	local server = GetCurrentRealm()
	
	if not account_character_list[server] then
		return "TNTLogin"
	end
	
	for account, char_list in pairs(account_character_list[server]) do
		for _, char_name in pairs(char_list) do
			for current_available_char in character_iterator() do
				if char_name == current_available_char then
					return account
				end
			end
		end
	end
	
	return "TNTLogin"
end

--[[
/run print(pcall(dofile, "Interface/Addons/#GetAccountName_for_GFClient/main.lua"))
]]